Quarterly and Annual Earnings Reports V2.1
curl --request GET \
--url 'https://api.benzinga.com/api/v2.1/fundamentals/earningReports?token='import requests
url = "https://api.benzinga.com/api/v2.1/fundamentals/earningReports?token="
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.benzinga.com/api/v2.1/fundamentals/earningReports?token=', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.benzinga.com/api/v2.1/fundamentals/earningReports?token=",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.benzinga.com/api/v2.1/fundamentals/earningReports?token="
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.benzinga.com/api/v2.1/fundamentals/earningReports?token=")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.benzinga.com/api/v2.1/fundamentals/earningReports?token=")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{}{
"data": {},
"errors": [
{
"code": "unsupported_message_type",
"id": "<string>",
"value": "<string>"
}
],
"ok": true
}{
"data": {},
"errors": [
{
"code": "unsupported_message_type",
"id": "<string>",
"value": "<string>"
}
],
"ok": true
}Company Fundamentals
Earnings Reports
Retrieves detailed earnings reports for specified securities including revenue, earnings per share (EPS), EBITDA, net income, and other key financial results from quarterly and annual reports. Essential for analyzing company financial performance and earnings trends over time.
GET
/
api
/
v2.1
/
fundamentals
/
earningReports
Quarterly and Annual Earnings Reports V2.1
curl --request GET \
--url 'https://api.benzinga.com/api/v2.1/fundamentals/earningReports?token='import requests
url = "https://api.benzinga.com/api/v2.1/fundamentals/earningReports?token="
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.benzinga.com/api/v2.1/fundamentals/earningReports?token=', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.benzinga.com/api/v2.1/fundamentals/earningReports?token=",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.benzinga.com/api/v2.1/fundamentals/earningReports?token="
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.benzinga.com/api/v2.1/fundamentals/earningReports?token=")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.benzinga.com/api/v2.1/fundamentals/earningReports?token=")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{}{
"data": {},
"errors": [
{
"code": "unsupported_message_type",
"id": "<string>",
"value": "<string>"
}
],
"ok": true
}{
"data": {},
"errors": [
{
"code": "unsupported_message_type",
"id": "<string>",
"value": "<string>"
}
],
"ok": true
}Query Parameters
Response
Earnings report data
The response is of type object.
Was this page helpful?